Method: projects.locations.privateOffers.resolveAmendmentTarget

Resolves the existing offer that must be amended when creating a new PrivateOffer. Use this method to determine the correct amendment target before creating or publishing an offer.

HTTP request

GET https://commerceproducer.googleapis.com/v1beta/{parent=projects/*/locations/*}/privateOffers:resolveAmendmentTarget

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ResolveAmendmentTargetRequest

Query parameters

Parameters
targetBillingAccount

string

Required. The customer's billing account targeted by the offer. This is the billing account for which the new private offer will be created on. Format: billingAccounts/{billing_account}.

baseStandardOffer

string

Required. The base standard offer that the private offer will be based on. Format: projects/{project}/locations/{location}/services/{service}/standardOffers/{standard_offer}.

Request body

The request body must be empty.

Response body

Message in response to privateOffers.resolveAmendmentTarget.

If successful, the response body contains data with the following structure:

JSON representation
{

  // Union field amendment_requirement can be only one of the following:
  "requiredPrivateOffer": string,
  "requiredStandardOffer": string,
  "optionalOffers": {
    object (OptionalOffers)
  }
  // End of list of possible types for union field amendment_requirement.
}
Fields

Union field amendment_requirement. The amendment requirements for the new private offer.

If this oneof is empty, the client should create a brand new offer. amendment_requirement can be only one of the following:

requiredPrivateOffer

string

The resource name of an existing private offer that MUST be amended.

If this is set, the new private offer the client creates must populate the singleProductOffer.amended_private_offer field with this value.

requiredStandardOffer

string

The resource name of an existing standard offer that MUST be amended.

If this is set, the new private offer the client creates must populate the singleProductOffer.amended_standard_offer field with this value.

optionalOffers

object (OptionalOffers)

A list of existing offers that may optionally be amended.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • commerceproducer.privateOffers.list

For more information, see the IAM documentation.

OptionalOffers

A wrapper message containing offers that can optionally be amended.

JSON representation
{
  "privateOffers": [
    string
  ]
}
Fields
privateOffers[]

string

A list of existing private offers that are eligible to be amended.

When creating a new private offer, the client may choose to populate the singleProductOffer.amended_private_offer field with one of these resource names. Alternatively, the client may leave the field unset to create a brand new offer.